Bug 221423 - bonding changes in RHEL 5
bonding changes in RHEL 5
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Deployment_Guide (Show other bugs)
5.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Don Domingo
Michael Hideo
: Documentation
Depends On:
Blocks: 167842 245272
  Show dependency treegraph
 
Reported: 2007-01-04 11:50 EST by Bill Nottingham
Modified: 2014-03-16 23:04 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2007-0610
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 12:29:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-01-04 11:50:22 EST
In RHEL 5 we've moved to a sysfs-based method of configuring bonding devices;
this changes how configuration is done for multiple bonds.

This affects:

http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Network_Related_Configuration/s1-networkscripts-interfaces.html#s2-networkscripts-interfaces-chan

and:
http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Kernel_And_Driver_Configuration/s1-modules-ethernet.html#s2-modules-bonding

All that information is correct, but there is a new method for configuring devices.


For
http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Network_Related_Configuration/s1-networkscripts-interfaces.html#s2-networkscripts-interfaces-chan

we probably want to add to the example file:

BONDING_OPTS="miimon=100 mode=3"

to the master config file, and describe it as:

BONDING_OPTS is a list of configuration parameters for the bonding device. These
parameters correspond directly to the configuration parameters for bonding
devices in /sys/class/net/<bonding device>/bonding, and the module paraemters
for the bonding driver as described in
http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Kernel_And_Driver_Configuration/s1-modules-ethernet.html#s2-modules-bonding.
This configuration method is used so that multiple bonding devices can have
different configurations; if you use this method, you must not specify options
for the bonding device in /etc/modprobe.conf.

For the kernel page, we may want to rework the 'bonding module parameters'
section at some point.

(Yes, I know this is late. My apologies.)
Comment 1 Andy Gospodarek 2007-01-04 12:15:21 EST
Good idea on this BZ, Bill.  I was just reading thru the notes and realized
nothign was added about this change yet.

Regarding the instructions...

It's probably a good idea to just tell poeple to quit using the directives in
modprobe.conf and encourage them to use the BONDING_OPTS option in ifcfg files.
 It will make support easier long-term.

I would propose dropping:

" For a channel bonding interface to be valid, the kernel module must be loaded.
To ensure that the module is loaded when the channel bonding interface is
brought up, add the following line to /etc/modprobe.conf:

alias bond<N> bonding

Replace <N> with the number of the interface, such as 0. For each configured
channel bonding interface, there must be a corresponding entry in
/etc/modprobe.conf.

Once /etc/modprobe.conf is configured — and the channel bonding interface and
network interfaces are configured — the ifup command can be used to bring up the
channel bonding interface."

from
http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Network_Related_Configuration/s1-networkscripts-interfaces.html#s2-networkscripts-interfaces-chan
rather than keeping it.

It would be good to have the information here:
http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Kernel_And_Driver_Configuration/s1-modules-ethernet.html#s2-modules-bonding
regarding the options at least linked (if not included) in the first page.

Thoughts?
Comment 3 RHEL Product and Program Management 2007-04-12 10:03:42 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Michael Hideo 2007-04-30 03:29:34 EDT
Don, do you still need information from Andy to proceed?
Comment 7 Andy Gospodarek 2007-04-30 11:44:04 EDT
A section needs to be added to this page:

http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Deployment_Guide-en-US/s1-networkscripts-interfaces.html#s2-networkscripts-interfaces-chan

That talks about the new BONDING_OPTS field in ifcfg-bond0.

This language also needs to be dropped from the page above:

"For a channel bonding interface to be valid, the kernel module must be loaded.
To ensure that the module is loaded when the channel bonding interface is
brought up, add the following line to /etc/modprobe.conf:

alias bond<N> bonding

Replace <N> with the number of the interface, such as 0. For each configured
channel bonding interface, there must be a corresponding entry in
/etc/modprobe.conf.

Once /etc/modprobe.conf is configured — and the channel bonding interface and
network interfaces are configured — the ifup command can be used to bring up the
channel bonding interface."

This page will also need to be updated:
http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Deployment_Guide-en-US/s1-modules-ethernet.html#s2-modules-bonding

The parameters mentioned in the section titled "40.5.2.1. bonding Module
Directives" are the ones that will be used as the options to BONDING_OPTS in
ifcfg-bond0.


Ultimately what we want customers to understand is that they used to have a
modprobe.conf that looked like this:

alias bond0 bonding
options bonding mode=1 miimon=500

and now you will have modprobe.conf look like this:

alias bond0 bonding

and ifcfg-bond0 look like this:

BONDING_OPTS="mode=1 miimon=500"

Let me know if you need further clarification.

P.S. I also plan to write up changes for
/usr/share/doc/kernel-doc-<kernel-version>/Documentation/networking/bonding.txt
and submit those upstream and to rhkl sometime soon.




Comment 8 Don Domingo 2007-04-30 21:03:38 EDT
Hi Mike, Andy,

the updated built html hasn't been pushed to the docs channel yet. i think we're
still fixing something with that. to see the changes that should be up, please
consult:

https://engineering.redhat.com/docbot/en-US/RHEL-5.1.0/html/Deployment_Guide/s2-networkscripts-interfaces-chan.html

unfortunately, all i did was remove the referenced text, i didn't add a section
about BONDING_OPTS yet. 

the original link provided by Andy in Comment#1 as the source for info on
BONDING_OPTS is 404'ing. i tried doing a grep for that string in the source, and
came up empty. as such, i'll need a new source for the info so i can add it up
to the doc. 

setting this again to NEEDINFO=Andy to provide the source info for BONDING_OPTS. 
Comment 9 Andy Gospodarek 2007-04-30 23:10:15 EDT
Don, 

Go back and read comment #1 and comment #7 again.  There currently is nothing
that provides appropriate documentation about exactly how to use the
BONDING_OPTS parameter in ifcfg-bond0, but the options used there are the same
ones that used to be used as options to the bonding driver in modprobe.conf. 
All that is changing is the config file where these arguments will be placed --
the arguments themselves are the same.

If this isn't clear hopefully it will be after I write up something for
Documentation/networking/bonding.txt, but all it will state is almost exactly
what I've said already in this bugzilla
Comment 10 Don Domingo 2007-06-19 22:15:16 EDT
putting this on queue for major revisions
Comment 25 errata-xmlrpc 2007-11-07 12:29:31 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0610.html

Note You need to log in before you can comment on or make changes to this bug.